Page MenuHomePhabricator

[Epic] Track Wikidata entity usage on client pages
Closed, ResolvedPublic

Description

Track usage of entities on client pages in a database table (on the client wiki). Usages that should/could be tracked:

  • the item linked on wikidata (already tracked on the repo side)
  • other items referenced explicitly on the wiki page
  • items used indirectly, e.g. because their label is shown on a page
  • properties used to access statements of items on a page

There should be an abstraction layer that allows code to access the list of entities used by a given page, and conversely, the list of pages using a given entity on a given wiki.

Details

Reference
bz47288

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.
StatusAssignedTask
DeclinedLydia_Pintscher
InvalidLydia_Pintscher
ResolvedNone
ResolvedNone
ResolvedNone
InvalidLydia_Pintscher
OpenNone
OpenNone
ResolvedLydia_Pintscher
ResolvedNone
ResolvedNone
ResolvedNone
Resolveddaniel
ResolvedNone
Resolveddaniel
Resolveddaniel
ResolvedLydia_Pintscher
InvalidNone
ResolvedNone
Resolveddaniel
ResolvedNone
InvalidNone
Resolvedadrianheine
OpenNone
Resolvedaude
Resolvedaude
ResolvedNone
Resolvedaude
Resolvedaude
Resolvedaude
Resolvedaude
Resolvedaude
ResolvedNone
ResolvedNone
Resolvedaude
Resolvedaude
Resolvedaude
Resolvedaude
ResolvedNone
DuplicateNone
ResolvedNone
ResolvedNone
ResolvedLydia_Pintscher
InvalidNone
Resolvedmatej_suchanek
ResolvedLadsgroup
Resolvedmatej_suchanek
Resolvedhoo
Resolvedhoo
ResolvedLydia_Pintscher
OpenNone
Resolvedhoo
ResolvedLadsgroup
ResolvedLadsgroup
ResolvedLadsgroup
Resolvedhoo
OpenNone
Resolvedhoo
Resolvedthiemowmde
ResolvedLadsgroup
OpenNone

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

April is realistic if we exclude support for tracking multi-lingual label usage (T89002). The code is there, and we want to apply schema changes to the test wikis (and wikidata itself) asap - waiting for db folks to do the schema update, see T95179. Next would be nlwiki and frwikisource next week (usage tracking first, arbitrary access a week or two later).

aude moved this task from April 27-May 1 to June 2015 on the Roadmap board.May 5 2015, 11:21 PM

itwiki please 🙏

@Ricordisamo: Hehe we can go with that next. What do you think @aude?

gpaumier moved this task from June 2015 to August 2015 on the Roadmap board.May 6 2015, 9:34 PM
Rical removed a subscriber: Rical.Jun 3 2015, 10:16 PM
Jdforrester-WMF moved this task from August 2015 to June 2015 on the Roadmap board.Jun 4 2015, 4:30 PM
Jdforrester-WMF moved this task from June 2015 to July 2015 on the Roadmap board.Jun 18 2015, 4:09 PM

Removing user notice again as it shouldn't be user-visible at all.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 19 2015, 6:41 PM
Lydia_Pintscher renamed this task from Track Wikidata entity usage on client pages to [Epic] Track Wikidata entity usage on client pages.Aug 14 2015, 10:49 AM
aude reopened this task as Open.Sep 9 2015, 10:51 AM

there still are some open subtasks... things nice to have like a special page to find usages, and tracking description usages separately

ResMar added a subscriber: ResMar.Dec 31 2015, 9:31 PM
ResMar removed a subscriber: ResMar.Apr 15 2016, 1:38 PM
ResMar added a subscriber: ResMar.
ResMar removed a subscriber: ResMar.
Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptAug 12 2017, 3:44 PM
Candalua removed a subscriber: Candalua.Sep 25 2017, 1:27 PM
Lydia_Pintscher closed this task as Resolved.Mar 2 2018, 1:55 PM
Lydia_Pintscher claimed this task.